Package bitel.billing.server.radius

# Class RadiusSetup

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.ParameterMap
ru.bitel.common.Preferences
ru.bitel.bgbilling.server.util.DefaultServerSetup
ru.bitel.bgbilling.server.util.Setup
bitel.billing.server.radius.RadiusSetup

public class RadiusSetup extends Setup
Главный setup Radius-а

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.server.util.DefaultServerSetup

  `DefaultServerSetup.DatabaseData`

  ## Nested classes/interfaces inherited from class ru.bitel.common.ParameterMap

  `ParameterMap.DefaultParameterMap`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.server.util.Setup

  `instance`

  ### Fields inherited from class ru.bitel.bgbilling.server.util.DefaultServerSetup

  `databaseData, RETURN_FAKE, RETURN_MASTER, RETURN_NULL, RETURN_SLAVE`

  ### Fields inherited from class ru.bitel.common.Preferences

  `bundleName, data`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadiusSetup(String dirName, String confName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getModule()`
  Возращает имя модуля.
  `int`
  `getModuleId()`
  `static RadiusSetup`
  `getSetup()`
  `void`
  `setModule(String value)`
  Установка имени модуля.

  ### Methods inherited from class ru.bitel.bgbilling.server.util.Setup

  `addToConfig, get, getBundlePreferences, getConfig, getDistribution, getFolderPathParam, getInitDate, getModuleSetup, getPathProperty, getTempDirPath, getWSClient, reloadConfig, setSetup`

  ### Methods inherited from class ru.bitel.bgbilling.server.util.DefaultServerSetup

  `getDatabaseData, getDBConnection, getDBConnection, getDBConnectionFromPool, getDBConnectionFromPool, getDBSlaveConnectionFromPool, getDBSlaveConnectionFromPool, getDBTrashConnectionFromPool, getDBTrashOrMasterConnectionFromPool, getDBTrashOrSlaveConnectionFromPool, getEnvironment, getMasterPoolLoad, getPoolStackTrace, getPoolStatus, getScheduledExecutorService, getSlaveBaseId, getSlaveConnectionFromPool, getTrashBaseId, getTrashConnectionFromPool, initConnectionPool, initJNDI, initMQ, initTrashPools, isReplicationAvailable, isReplicationEnabled, isReplicationNotBehindMaster, logConfigure, returnConToPool, setReplicationAvailable, setReplicationEnabled, setReplicationNotBehindMaster`

  ### Methods inherited from class ru.bitel.common.Preferences

  `entrySet, extract, getMap, getObject, getObject, loadBundle, loadData, loadData, loadDataEntry, loadFromInputStream, loadModuleSetup, putObject, removeObject, set, updateData`

  ### Methods inherited from class ru.bitel.common.ParameterMap

  `addActionListener, filter, get, getBigDecimal, getBoolean, getChar, getDouble, getEnum, getFloat, getInt, getIntegerList, getLocalDate, getLong, inherit, sub, subIndexed, subKeyed, subLined, throwActionEvent, toReference, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RadiusSetup

    public RadiusSetup(String dirName, String confName)

- ## Method Details

  - ### getSetup

    public static RadiusSetup getSetup()

  - ### getModuleId

    public int getModuleId()

  - ### setModule

    public void setModule(String value)
    Установка имени модуля.
    Parameters:
      `value` - String

  - ### getModule

    public String getModule()
    Возращает имя модуля.
    Returns:
      String